Eclipse Platform Release 3.7

## org.eclipse.core.runtime
Interface IRegistryChangeEvent

    public interface IRegistryChangeEvent

Registry change events describe changes to the extension registry.

This interface can be used without OSGi running.

This interface is not intended to be implemented by clients.

Since:
  3.0
See Also:
  `IExtensionRegistry`, `IRegistryChangeListener`
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`IExtensionDelta` `getExtensionDelta(String namespace, String extensionPoint, String extension)` Returns the delta for the given namespace, extension point and extension.
`IExtensionDelta[]` `getExtensionDeltas()` Returns all extension deltas for all hosts.
`IExtensionDelta[]` `getExtensionDeltas(String namespace)` Returns all extension deltas for the given namespace.
`IExtensionDelta[]` `getExtensionDeltas(String namespace, String extensionPoint)` Returns all the extension deltas for the given namespace and extension point.

Method Detail

### getExtensionDeltas

    IExtensionDelta[] getExtensionDeltas()

  Returns all extension deltas for all hosts. Returns an empty array if there are no deltas in this event.

  Returns:
    all extension deltas

### getExtensionDeltas

    IExtensionDelta[] getExtensionDeltas(String namespace)

  Returns all extension deltas for the given namespace. Returns an empty array if there are no deltas in this event for any extension points provided in the given namespace.

  Parameters:
    `namespace` - the namespace for the extension deltas
  Returns:
    all extension deltas for the given namespace

### getExtensionDeltas

    IExtensionDelta[] getExtensionDeltas(String namespace,
                                         String extensionPoint)

  Returns all the extension deltas for the given namespace and extension point. Returns an empty array if there are no deltas in this event for the given extension point.

  Parameters:
    `namespace` - the namespace for the extension point
    `extensionPoint` - the simple identifier of the extension point (e.g. `"builders"`)
  Returns:
    all extension deltas for the given extension point

### getExtensionDelta

    IExtensionDelta getExtensionDelta(String namespace,
                                      String extensionPoint,
                                      String extension)

  Returns the delta for the given namespace, extension point and extension. Returns `null` if none exists in this event.

  Parameters:
    `namespace` - the namespace for the extension point
    `extensionPoint` - the simple identifier of the extension point (e.g. `"builders"`)
    `extension` - the unique identifier of the extension
  Returns:
    the extension delta, or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.